import {
    request
} from "../http";
// 公共API 
const apiPath = {
    investDetail: "/news-content/listpage?rows=1&page=1", //投资优势
    doGetDealPrivacy: "/app/agreementportal/getrelease/",
    serivceId: "68eee8f5-33d3-4246-aeee-a33956677101", //服务协议
    privacyId: "93679af4-e264-4d1c-bd49-538028daa95d" //隐私条款
}
class CommonService {
    static doGetInvestDetail(data) {
        return request(apiPath.investDetail, "GET", data)
    }
    static doGetPrivacy(data) {
        var id = ""
        switch (data) {
            case "privacy":
                id = apiPath.privacyId
                break;
            case "service":
                id = apiPath.serivceId
                break;
        }
        return request(apiPath.doGetDealPrivacy + id, "GET", null)
    }
}

export default CommonService;