import {
    request
} from "../http";

// 管理地址
const apiPath = {
    domainCategory: "/news-directories/list?directoriesParentId=b04b4dc3-020a-4a9f-a567-464d27f70b19", //特色产业
    keyEnterprise: "/query/sql/q2984a0f", //重点企业
    domainInfo: "/news-content/listpage?newsDirectoriesId=2c76e2a0-37b2-4144-9d92-64376e5a22c3", //产业基础
    industryArea: "/news-content/listpage?newsDirectoriesId=df975b5b-74bf-4c5d-a4bc-10acb6f32e81", //产业园区
    plates: "/news-content/listpage?newsDirectoriesId=40d9b2e3-a609-4f45-9833-acbfdb16ce56", //产业图谱
    newDetail: "/news-content/listpage", //详情
    detail: "/news-content/get/"
}
class DomainService {
    static doGetDomainCategory() {
        return request(apiPath.domainCategory, "GET")
    }
    static doGetKeyEnterprise() {
        return request(apiPath.keyEnterprise, "GET")
    }
    static doGetKeyEnterprise(data) {
        return request(apiPath.keyEnterprise, "GET", data)
    }
    static doGetDomainInfo() {
        return request(apiPath.domainInfo, "GET")
    }
    static doGetIndustryArea() {
        return request(apiPath.industryArea, "GET")
    }
    static doGetPlates() {
        return request(apiPath.plates, "GET")
    }
    static doGetDetail(data) {
        return request(apiPath.newDetail, "GET", data)
    }
    static doDetail(url) {
        return request(apiPath.detail + url, "GET")
    }
}

export default DomainService;