import {
    request
} from "../http";

// 管理地址
const apiPath = {
    descVideo: "/news-content/listpage?newsDirectoriesId=9532d411-15c5-4c9c-8d73-e9f68a482702",
    descInfo: "/news-content/listpage?newsDirectoriesId=91a98b33-1133-4935-8c4c-9b37cc5fe63b&rows=1&page=1",
    statistics: "/query/sql/q9ce6963",
    invest: "/query/sql/q428ea76",
    investAreaInfo: "/news-content/listpage?rows=1&page=1", //地区概况 //资源条件  //气候条件 //基础设施
    categoryList: "/news-directories/list", //投资优势 投资环境
    superiosityDetail: "/news-content/listpage?rows=1&page=1", //投资优势详情
    investDetail: "", //投资机会详情
}
class IndexService {
    static doGetDescVideo() {
        return request(apiPath.descVideo, "GET")
    }
    static doGetDescInfo() {
        return request(apiPath.descInfo, "GET")
    }
    static doGetStatistics(data) {
        return request(apiPath.statistics, "GET", data)
    }
    static doGetInvest() {
        return request(apiPath.invest, "GET")
    }
    static doGetInvestDetail(data) {
        return request(apiPath.invest, "GET", data)
    }
    static doGetInvestArea(data) {
        return request(apiPath.investAreaInfo, "GET", data)
    }
    static doGetSuperiorityList() {
        return request(apiPath.categoryList, "GET", {
            directoriesParentId: 'c7fa126e-1fa7-4cdb-b13a-2afb2f7b48e9'
        })
    }
    static doGetInvestAreaCategory() {
        return request(apiPath.categoryList, "GET", {
            directoriesParentId: 'd3ba3ff5-6d9e-4aed-9331-73e50b5ac598'
        })
    }
    static doGetSuperiorityDetail(data) {
        return request(apiPath.superiosityDetail, "GET", data)
    }
}

export default IndexService;