import {
    request
} from "../http";

// 管理地址
const apiPath = {
    policyList: "/news-content/listpage", //政策列表
    policyDetail: "/news-content/get/", //政策详情
}
class PolicyService {
    static doGetPolicyList(data) {
        return request(apiPath.policyList, "GET", data)
    }
    static doGetDetail(id) {
        return request(apiPath.policyDetail + id, "GET")
    }
}

export default PolicyService;