// component/ad-dialog/ad-dialog.js
Component({
    properties: {
        // 广告图片 URL
        imageUrl: {
            type: String,
            value: ''
        },
        // 是否显示弹窗
        visible: {
            type: Boolean,
            value: false
        }
    },

    methods: {
        // 关闭弹窗
        onClose() {
            this.setData({
                visible: false
            });
            this.triggerEvent('close'); // 触发关闭事件
        }
    }
})